[arch-commits] Commit in cups/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Jul 4 19:24:06 UTC 2009


    Date: Saturday, July 4, 2009 @ 15:24:06
  Author: andyrtr
Revision: 44882

Merged revisions 44879 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/cups/trunk

........
  r44879 | andyrtr | 2009-07-04 19:14:42 +0000 (Sa, 04 Jul 2009) | 2 lines
  
  upgpkg: cups 1.3.11-1
      new version 1.3.11; enable dbus support; add patch for #15341; disable php for 14576
........

Added:
  cups/repos/testing-i686/gnutls-pkgconfig.dpatch
    (from rev 44879, cups/trunk/gnutls-pkgconfig.dpatch)
Modified:
  cups/repos/testing-i686/	(properties)
  cups/repos/testing-i686/PKGBUILD

-------------------------+
 PKGBUILD                |   25 ++++++++++++++++---------
 gnutls-pkgconfig.dpatch |   26 ++++++++++++++++++++++++++
 2 files changed, 42 insertions(+), 9 deletions(-)


Property changes on: cups/repos/testing-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /cups/trunk:1-43722
   + /cups/trunk:1-44881

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2009-07-04 19:17:23 UTC (rev 44881)
+++ testing-i686/PKGBUILD	2009-07-04 19:24:06 UTC (rev 44882)
@@ -2,14 +2,14 @@
 # Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=cups
-pkgver=1.3.10
-pkgrel=4
+pkgver=1.3.11
+pkgrel=1
 pkgdesc="The CUPS Printing System"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.cups.org/"
-depends=('acl' 'openslp' 'pam' "libcups>=${pkgver}-3" 'xdg-utils' 'avahi' 'heimdal>=1.2.1-3' 'gnutls>=2.6.5' 'poppler>=0.10.6')
-makedepends=('xinetd' 'gzip')
+depends=('acl' 'openslp' 'pam' "libcups>=${pkgver}" 'xdg-utils' 'avahi' 'heimdal>=1.2.1-5' 'gnutls>=2.8.1' 'poppler>=0.10.7-2')
+makedepends=('xinetd' 'gzip' 'autoconf')
 install=cups.install
 backup=(etc/cups/cupsd.conf
         etc/cups/mime.convs
@@ -20,19 +20,26 @@
         etc/pam.d/cups
         etc/xinetd.d/cups-lpd)
 source=(ftp://ftp.easysw.com/pub/cups/${pkgver}/cups-${pkgver}-source.tar.bz2
-        cups cups.logrotate cups.pam)
+        cups cups.logrotate cups.pam
+	gnutls-pkgconfig.dpatch)
 options=('!emptydirs') #'!makeflags') seems smp safe now; find pkg/ | sort | wc -l gives 1815
-md5sums=('84fffe96b8537c81a463faccead80026'
+md5sums=('17f3e2bcb3cae3dd9dceb65a2bfd295f'
          '5c85b7d8d2ddd02c2c64955cebbf55ea'
          'f861b18f4446c43918c8643dcbbd7f6d'
-         '96f82c38f3f540b53f3e5144900acf17')
+         '96f82c38f3f540b53f3e5144900acf17'
+	 '7322c46c2f33863dce85eb75a1d9ccab')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+  # http://patch-tracking.debian.net/patch/series/view/cups/1.3.10-5/gnutls-pkgconfig.dpatch
+  patch -Np1 -i ${srcdir}/gnutls-pkgconfig.dpatch || return 1
+  aclocal
+  autoconf
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
      --with-logdir=/var/log/cups -with-docdir=/usr/share/cups/doc \
-     --with-cups-user=daemon --with-cups-group=lp --enable-ssl=yes \
-     --enable-pam=yes --disable-ldap --disable-dbus --enable-raw-printing \
+     --with-cups-user=daemon --with-cups-group=lp --without-php \
+     --enable-pam=yes --disable-ldap --libdir=/usr/lib --enable-raw-printing \
+     --enable-dbus --with-dbusdir=/etc/dbus-1 --enable-ssl=yes --enable-gnutls \
      --enable-pdftops --with-pdftops=pdftops --with-optim="$CFLAGS"
   make || return 1
 

Copied: cups/repos/testing-i686/gnutls-pkgconfig.dpatch (from rev 44879, cups/trunk/gnutls-pkgconfig.dpatch)
===================================================================
--- testing-i686/gnutls-pkgconfig.dpatch	                        (rev 0)
+++ testing-i686/gnutls-pkgconfig.dpatch	2009-07-04 19:24:06 UTC (rev 44882)
@@ -0,0 +1,26 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## gnutls-pkgconfig.dpatch by  <martin.pitt at ubuntu.com>
+##
+## Use pkg-config instead of deprecated libgnutls-config
+## (STR #3178, Debian #529903; from upstream SVN)
+ at DPATCH@
+diff -urNad cups-1.3.10~/config-scripts/cups-ssl.m4 cups-1.3.10/config-scripts/cups-ssl.m4
+--- cups-1.3.10~/config-scripts/cups-ssl.m4	2007-07-11 23:46:42.000000000 +0200
++++ cups-1.3.10/config-scripts/cups-ssl.m4	2009-06-08 08:03:27.854814655 +0200
+@@ -64,11 +64,11 @@
+     fi
+ 
+     dnl Then look for GNU TLS...
+-    if test "x${SSLLIBS}" = "x" -a "x${enable_gnutls}" != "xno"; then
++    if test "x${SSLLIBS}" = "x" -a "x${enable_gnutls}" != "xno" -a "x$PKGCONFIG" != x; then
+     	AC_PATH_PROG(LIBGNUTLSCONFIG,libgnutls-config)
+-	if test "x$LIBGNUTLSCONFIG" != x; then
+-	    SSLLIBS=`$LIBGNUTLSCONFIG --libs`
+-	    SSLFLAGS=`$LIBGNUTLSCONFIG --cflags`
++	if $PKGCONFIG --exists gnutls; then
++	    SSLLIBS=`$PKGCONFIG --libs gnutls`
++	    SSLFLAGS=`$PKGCONFIG --cflags gnutls`
+ 	    ENCRYPTION_REQUIRED="  Encryption Required"
+ 	    AC_DEFINE(HAVE_SSL)
+ 	    AC_DEFINE(HAVE_GNUTLS)
+




More information about the arch-commits mailing list